CREATEEK(1)

NAME
createek - Runs TPM2 createek

DESCRIPTION
createek

Parses and prints the various EK NV indexes specified by the IWG Creates a primary key based on the EK NV indexes

-te print EK Template

-no print EK nonce

-ce print EK certificate

-cp CreatePrimary using the EK template and EK nonce. Validate the EK against the EK certificate

[-noflush
    Do not flush the primary key after validation]

[-root
    filename - validate EK certificate against the root] filename contains a list of PEM format CA root certificate filenames, one per line. The list may contain up to 100 certificates.

-alg (rsa or ecc)